package com.welnz.device.example

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.runtime.Composable
import androidx.compose.ui.tooling.preview.Preview
import com.welnz.device.example.ui.models.HomeViewModel

import com.welnz.device.example.ui.models.IHomeViewModel
import com.welnz.device.example.ui.models.MockHomeViewModel

const val PERMISSION_REQUEST_LOCATION = 10
const val PERMISSIONS_RATIONALE = "Location is required to connect to devices."
const val FIRST_COLUMN_WIDTH = .3f // 30%
const val SECOND_COLUMN_WIDTH = .7f // 70%

class MainActivity : ComponentActivity() {
    private lateinit var homeViewModel: HomeViewModel

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        homeViewModel = HomeViewModel(this)

        setContent {
            Base(homeViewModel)
        }
    }
}

@Preview( showBackground = true )
@Composable
fun Base(
    vm: IHomeViewModel = MockHomeViewModel()
) {
    // Very simple navigation between device scan & list screen and device screen.
    if (vm.deviceViewModel == null) {
        HomeScreen( vm )
    } else {
        DeviceScreen(vm.deviceViewModel!!)
    }
}
