package com.welnz.device.example.ui.models

import com.welnz.device.library.bluetooth.interfaces.SftDevice
import com.welnz.device.library.enums.ConnectionStatus
import com.welnz.device.library.enums.Status
import com.welnz.device.library.response.interfaces.BatteryResponse
import com.welnz.device.library.response.interfaces.CalibrationDateResponse
import com.welnz.device.library.response.interfaces.CheckDateResponse
import com.welnz.device.library.response.interfaces.DeviceStatsResponse
import com.welnz.device.library.response.interfaces.MeasurementResponse
import com.welnz.device.library.response.interfaces.SerialNumberResponse

interface IDeviceViewModel {
    val device: SftDevice
    var name: String
    var description: String

    var lastMessage: String

    var connectionStatus: ConnectionStatus
    var status: Status
    val isGettingReady: Boolean
    var isReady: Boolean

    var firmware: String
    var battery: BatteryResponse?
    var deviceStats: DeviceStatsResponse?
    var measurement: MeasurementResponse?
    var serialNumber: SerialNumberResponse?
    var calibrationDate: CalibrationDateResponse?
    var checkDate: CheckDateResponse?

    fun disconnect()
    fun readGeneralDeviceDetails()
    fun close()
    fun connect()
    fun setCheckDate()
}

