package com.welnz.device.example.ui.models

import androidx.compose.runtime.snapshots.SnapshotStateList
import com.welnz.device.library.bluetooth.interfaces.WelDevice
import com.welnz.device.library.bluetooth.interfaces.WelManager
import com.welnz.device.library.bluetooth.interfaces.ManagerDelegate
import com.welnz.device.library.bluetooth.interfaces.SftDevice
import com.welnz.device.library.enums.LogType
import com.welnz.device.library.enums.Status
import java.time.Instant

interface IHomeViewModel :
    ManagerDelegate {
    var manager: WelManager

    var devices: SnapshotStateList<IDeviceViewModel>
    var deviceViewModel: IDeviceViewModel?

    var lastMessage: String
    var isScanning: Boolean

    fun startScan()
    fun stopScan()
    fun connect(device: IDeviceViewModel)

    override fun onLog(timestamp: Instant?, type: LogType?, message: String?)
    override fun onSftDeviceFound(device: SftDevice?)
}