package com.welnz.device.example.ui.models

import android.annotation.SuppressLint
import com.welnz.device.library.bluetooth.interfaces.SftDevice
import com.welnz.device.library.enums.Status
import com.welnz.device.library.response.interfaces.BatteryResponse
import com.welnz.device.library.response.interfaces.CalibrationDateResponse
import com.welnz.device.library.response.interfaces.CheckDateResponse
import com.welnz.device.library.response.interfaces.DeviceStatsResponse
import com.welnz.device.library.response.interfaces.MeasurementResponse
import com.welnz.device.library.response.interfaces.SerialNumberResponse

class MockDeviceViewModel(
    override val device: SftDevice = MockSftDevice()
) : IDeviceViewModel {
    @SuppressLint("MissingPermission")
    override var name = device.name
    override var description = device.description
    override var lastMessage = ""

    override var connectionStatus = device.connectionStatus
    override val isGettingReady = false
    override var status = Status.NOT_READY
    override var isReady = true
    override var firmware: String = "-"

    override var battery: BatteryResponse? = null
    override var deviceStats: DeviceStatsResponse? = null
    override var measurement: MeasurementResponse? = null
    override var serialNumber: SerialNumberResponse? = null
    override var calibrationDate: CalibrationDateResponse? = null
    override var checkDate: CheckDateResponse? = null

    override fun disconnect() { }
    override fun readGeneralDeviceDetails() { }
    override fun close() { }
    override fun connect() { }
    override fun setCheckDate() { }
}

