package com.welnz.device.example.ui.models

import androidx.compose.runtime.mutableStateListOf
import androidx.compose.runtime.snapshots.SnapshotStateList
import com.welnz.device.library.bluetooth.interfaces.SftDevice
import com.welnz.device.library.bluetooth.interfaces.WelManager
import com.welnz.device.library.enums.LogType
import java.time.Instant

class MockHomeViewModel(
    override var manager: WelManager = MockWelManager(),

    override var devices: SnapshotStateList<IDeviceViewModel> = mutableStateListOf(),
    override var deviceViewModel: IDeviceViewModel? = null,

    override var lastMessage: String = "",
    override var isScanning: Boolean = false,
) : IHomeViewModel {
    override fun startScan() { }
    override fun stopScan() { }
    override fun connect(device: IDeviceViewModel) { }
    override fun onLog(timestamp: Instant?, type: LogType?, message: String?) { }
    override fun onSftDeviceFound(device: SftDevice?) { }
}

